Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class ZipUtil

    java.lang.Object
      org.apache.cayenne.util.ZipUtil

Deprecated. since 3.1. This class is unused and will be removed in the future versions..

    @Deprecated
    public class ZipUtil

extends Object

Utility class to perform zip/unzip operations on files and directories.

Constructor Summary
`ZipUtil()` Deprecated. Constructor for ZipUtil.

Method Summary
`static void` | `unzip(File zipFile, File destDir)` Deprecated. Unpacks a zip file to the target directory.
`static void` | `zip(File zipFile, File parentDir, File[] sources, char pathSeparator)` Deprecated. Recursively zips a set of root entries into a zipfile, compressing the contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipUtil

    public ZipUtil()

  Deprecated.
  Constructor for ZipUtil.

Method Detail

### unzip

    public static void unzip(File zipFile,
                             File destDir)
                      throws IOException

  Deprecated.
  Unpacks a zip file to the target directory.

  Parameters:
    `zipFile` -
    `destDir` -
  Throws:
    `IOException`

### zip

    public static void zip(File zipFile,
                           File parentDir,
                           File[] sources,
                           char pathSeparator)
                    throws IOException

  Deprecated.
  Recursively zips a set of root entries into a zipfile, compressing the contents.

  Parameters:
    `zipFile` - target zip file.
    `parentDir` - a directory containing source files to zip.
    `sources` - an array of files and/or directories to zip.
    `pathSeparator` - path separator for zip entries.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.